#ifndef __CONF_H__
#define __CONF_H__

int resetEnable;
int poweroffEnable;		
int cpuspeedEnable;	
int startStopUsbmassEnable;	
int startFtpdEnable;
int takeScreenshotEnable;
int captureEnable;
int maxBrightnessEnable;
int usbhostUmdModeEnable;
int showHelpEnable;

typedef struct
{

	int enableUsbMass;
	int defaultCpuSpeedVsh;
	int defaultCpuSpeedGame;
	
	int defaultBrightnessVsh;
	int defaultBrightnessGame;

	int usePspSlim;

	char comboButton[10];
	char resetButton[10];
	char poweroffButton[10];
	char cpuspeedButton[10];
	char startStopUsbmassButton[10];
	char startFtpdButton[10];
	char takeScreenshotButton[10];
	char captureButton[10];
	char maxBrightnessButton[10];
	char usbhostUmdModeButton[10];
	char showHelpButton[10];
	
	char captureFolder[64];
	
	int use_transparency;

} CONFIGFILE;

void read_config(const char *file, CONFIGFILE *config);

#endif 
