#ifndef __CONF_H__
#define __CONF_H__

int resetEnable;
int poweroffEnable;		
int cpuspeedEnable;	
int startStopUsbmassEnable;	
int startFtpdEnable;
int takeScreenshotEnable;
int captureEnable;
int maxBrightnessEnable;
int usbhostUmdModeEnable;
int showHelpEnable;

int enable_replace_update_icon_with;
int enable_replace_video_icon_with;
int enable_replace_locationFree_icon_with;
int enable_replace_remotePlay_icon_with;
int enable_replace_rss_icon_with;
int enable_replace_gameSharing_icon_with;
int enable_replace_camera_icon_with;

typedef struct
{

	int enableUsbMass;
	int defaultCpuSpeedVsh;
	
	int defaultBrightnessVsh;
	int defaultBrightnessGame;
	
	int usePspSlim;

	char comboButton[10];
	char resetButton[10];
	char poweroffButton[10];
	char cpuspeedButton[10];
	char startStopUsbmassButton[10];
	char startFtpdButton[10];
	char takeScreenshotButton[10];
	char captureButton[10];
	char maxBrightnessButton[10];
	char usbhostUmdModeButton[10];
	char showHelpButton[10];
	
	char captureFolder[64];
	
	char replace_update_icon_with[128];
	char replace_video_icon_with[128];
	char replace_locationFree_icon_with[128];
	char replace_remotePlay_icon_with[128];
	char replace_rss_icon_with[128];
	char replace_gameSharing_icon_with[128];
	char replace_camera_icon_with[128];

	char pc_ip_address[16];
	
	int use_transparency;

} CONFIGFILE;

void read_config(const char *file, CONFIGFILE *config);

#endif 
